
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.XmBgrzEntity;
import org.sky.scientific.pojo.vo.XmBgrzVO;
import java.util.Objects;

/**
 * 项目-变更记录 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class XmBgrzWrapper extends BaseEntityWrapper<XmBgrzEntity, XmBgrzVO> {

	public static XmBgrzWrapper build() {
		return new XmBgrzWrapper();
 	}

	@Override
	public XmBgrzVO entityVO(XmBgrzEntity xmBgrz) {
		XmBgrzVO xmBgrzVO = Objects.requireNonNull(BeanUtil.copyProperties(xmBgrz, XmBgrzVO.class));

		//User createUser = UserCache.getUser(xmBgrz.getCreateUser());
		//User updateUser = UserCache.getUser(xmBgrz.getUpdateUser());
		//xmBgrzVO.setCreateUserName(createUser.getName());
		//xmBgrzVO.setUpdateUserName(updateUser.getName());

		return xmBgrzVO;
	}


}
